[FFmpeg-devel] [RFC][PATCH] Tool to sort files a bit

Michael Niedermayer michaelni
Sat Oct 9 00:12:17 CEST 2010


Hi

The attached script creates directories and symlinks for multimedia files
based on container and codec in the file. I hope ive not done this work
redundantly
it needs to be checked by someone who knows shell escaping to make it
secure ive made no attempt at making it secure.

Also if people are ok with it id like to commit this so more people can work on
it, iam not an expert on shell programming ...

yes its intended to help with incoming / samples maybe at some point or even
to help people sort their personal file collections


commit ca9a964c2eba0ba6cda767cfe2d74b80c245dd4c
Author: Michael Niedermayer <michaelni at gmx.at>
Date:   Fri Oct 8 23:58:51 2010 +0200

    Tool to analyze multimedia files and create directories and symlinks for the
    container type and codecs in each file that point back to the file.

diff --git a/tools/jauche_sortierer.sh b/tools/jauche_sortierer.sh
new file mode 100755
index 0000000..517353f
--- /dev/null
+++ b/tools/jauche_sortierer.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+#GPL
+#TODO
+#add pixelformat/sampleformat into the path of the codecs
+
+FFP=../ffprobe
+TMP=./misthaufen
+TARGET=$1
+shift
+
+for v do
+    BASE=`basename $v`
+    echo $v | egrep -i '(public|private)' >/dev/null && echo Warning $v may be private
+    $FFP $v 2> $TMP
+    FORM=`(grep 'Input #0, ' -m1 $TMP || echo 'Input #0, unknown') | sed 's/Input #0, \([a-zA-Z0-9_]*\).*/\1/' `
+    mkdir -p $TARGET/container/$FORM
+    ln -s $v $TARGET/container/$FORM/$BASE
+    eval `grep 'Stream #0\.[^:]*: [a-zA-Z0-9][^:]*: [a-zA-Z0-9]' $TMP | sed 's#[^:]*: \([a-zA-Z0-9]*\)[^:]*: \([a-zA-Z0-9]*\).*#mkdir -p '$TARGET'/\1/\2 ; ln -s '$v' '$TARGET'/\1/\2/'$BASE' ; #'`
+done


-- 
Michael     GnuPG fingerprint: 9FF2128B147EF6730BADF133611EC787040B0FAB

The real ebay dictionary, page 2
"100% positive feedback" - "All either got their money back or didnt complain"
"Best seller ever, very honest" - "Seller refunded buyer after failed scam"
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 198 bytes
Desc: Digital signature
URL: <http://lists.mplayerhq.hu/pipermail/ffmpeg-devel/attachments/20101009/2f377da2/attachment.pgp>



More information about the ffmpeg-devel mailing list